View Issue Details

IDProjectCategoryView StatusLast Update
0005902Simple:Pressinstallation/upgradepublic2018-06-09 23:46
ReporterMr PapaAssigned ToMr Papa 
PriorityhighSeverityN/AReproducibilityhave not tried
Status closedResolutionfixed 
Product Version5.8 
Target Version5.8Fixed in Version5.8 
Summary0005902: Couple errors and notices generated on fresh install
DescriptionJune 9, 2018 11:51 am | spaErrNotice | 1 | php
file: /simple-press/sp-startup/admin/spa-admin-framework.php
line: 478
function: error_handler
Notice | Undefined offset: 0
June 9, 2018 11:51 am | spaErrError | 1 | database
file: C:\wamp64\www\wordpress-dev\wp-content\plugins\simple-press\sp-startup\admin\spa-admin-framework.php
line: 469
function: table
error: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 1

SELECT usergroup_id FROM spf_sfusergroups WHERE usergroup_id=
June 9, 2018 11:51 am | spaErrNotice | 1 | php
file: /simple-press/sp-startup/admin/spa-admin-framework.php
line: 469
function: error_handler
Notice | Undefined offset: 0
June 9, 2018 11:51 am | spaErrError | 1 | database
file: C:\wamp64\www\wordpress-dev\wp-content\plugins\simple-press\sp-startup\admin\spa-admin-framework.php
line: 464
function: table
error: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 1

SELECT usergroup_id FROM spf_sfusergroups WHERE usergroup_id=
June 9, 2018 11:51 am | spaErrNotice | 1 | php
file: /simple-press/sp-startup/admin/spa-admin-framework.php
line: 464
function: error_handler
Notice | Undefined offset: 0

This is going to the error log immediately after the install finishes.
TagsNo tags attached.
change_log_textfix SPMETA table creation for new mysql versions to not have NULL in primary key
typedefect

Activities

svn

svn

2018-06-09 20:25

administrator   ~0019810

Changeset [15648] by steve on 2018-06-09 16:25:30 -0400 (Sat, 09 Jun 2018)

test issue 0005902 fix SPMETA table creation for new mysql versions to not have NULL in primary key

 Changed Files:

U trunk/sp-startup/install/sp-install.php
U trunk/sp-startup/install/sp-upgrade.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15648

Issue History

Date Modified Username Field Change
2018-06-09 16:08 Mr Papa New Issue
2018-06-09 20:25 svn =>
2018-06-09 20:25 svn Note Added: 0019810
2018-06-09 20:25 svn Status new => testing
2018-06-09 20:27 Mr Papa Assigned To => Mr Papa
2018-06-09 20:27 Mr Papa Status testing => assigned
2018-06-09 23:46 Mr Papa Status assigned => testing
2018-06-09 23:46 Mr Papa Status testing => closed
2018-06-09 23:46 Mr Papa Resolution open => fixed
2018-06-09 23:46 Mr Papa Fixed in Version => 5.8
2018-06-09 23:46 Mr Papa change_log_text update => fix SPMETA table creation for new mysql versions to not have NULL in primary key